#include"SceneClasses.h"
#include"Scene.h"
#include"3DSload.h"
#include"gui.h"
#include"Cameras.h"
#include"inputdevices.h"


Camera MainCamera;


static const float PI = 3.1415926535797;
static const float MOVE = 0.2;

void Camera::Render() {

	glMatrixMode(GL_MODELVIEW);

	float dx = 0;
	float dy = 0;
	float dz = 0;
//	static IsPressedY = false;
	GLMatrix Temp;         // pomocna matice

	if (KeyPressed('l')) dx += MOVE;
	if (KeyPressed('j')) dx -= MOVE;
	if (KeyPressed('k')) dy += MOVE;
	if (KeyPressed('i')) dy -= MOVE;
	if (KeyPressed('u')) dz += MOVE;
	if (KeyPressed('o')) dz -= MOVE;
	if (KeyPressed('p')) MatrixLoadIdentity(&Rotation);
//	if (KeyPressed('y')) { if (!IsPressedY) { IsPressedY = true; dx = PI; dy = dz = 0.0; } }
//	else IsPressedY = false;
	if (KeyPressed('h')) {
		Rotation[3][1] = -15;
		Rotation[3][2] = -40;
	}
	if (KeyPressed('n')) {
		Rotation[3][1] = 0;
		Rotation[3][2] = 0;
	}
	MatrixRotate(&Rotation, dx, dy, dz);
	glLoadMatrixf(&Rotation[0][0]);

	MatrixCopy(&Temp, &(Owner->Matrix));
	Temp[3][0] = 0;
	Temp[3][1] = 0;
	Temp[3][2] = 0;
	glMultMatrixf(&Temp[0][0]);

	glGetFloatv(GL_MODELVIEW_MATRIX, &ViewersMatrices.ViewerRotMatrix[0][0]);
	MatrixTranspose(&ViewersMatrices.TransposedRotMatrix, &ViewersMatrices.ViewerRotMatrix);
	ViewersMatrices.ViewerPos[0] = Owner->Matrix[3][0];
	ViewersMatrices.ViewerPos[1] = Owner->Matrix[3][1];
	ViewersMatrices.ViewerPos[2] = Owner->Matrix[3][2];

	glTranslatef(-Owner->Matrix[3][0], -Owner->Matrix[3][1], -Owner->Matrix[3][2]);

	SceneRender();
}
