/*
 * The POG project
 * Copyright 2000 The POG project team
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 */


#ifndef _TgaPcxLoad_h_
#define _TgaPcxLoad_h_


#include "TexLoad.h"


int TgaInit(TEXINFO &T);
void TgaDone(TEXINFO &T);
int TgaReadHeader(TEXINFO &T, char *FileName);
int TgaReadBody(TEXINFO &T, void *Buf);

int PcxReadHeader(FILE *F, TEXINFO *Info);
int PcxReadBody(FILE *F, void *Buf);


#endif /* _TgaPcxLoad_h_ */
