/*
 * The POG project
 * Copyright 2000 The POG project team
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 */

#ifndef _Signals_h_
#define _Signals_h_


int SigSegVInit(void);
void SigSegVDone(void);



class ESigSegV
{
private:
public:
	unsigned long FaultAdr;
    ESigSegV()  : FaultAdr(0)  {};
    ESigSegV(unsigned long A)  : FaultAdr(A)  {};
};

class ESigSegV2 : public ESigSegV
{
private:
public:
	ESigSegV2(unsigned long A)  { FaultAdr = A; };
};



#endif /* ifdef _Signals_h_ */
